Attribute VB_Name = "d700swp"
Option Explicit

Public Const APRS_NORMAL = 0
Public Const APRS_SUNSAT = 1

Declare Function GetPrivateProfileString Lib "kernel32" Alias "GetPrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Long, ByVal lpFileName As String) As Long
Declare Function WritePrivateProfileString Lib "kernel32" Alias "WritePrivateProfileStringA" (ByVal lpApplicationName As String, ByVal lpKeyName As Any, ByVal lpString As Any, ByVal lpFileName As String) As Long
Declare Function GetProfileString Lib "kernel32" Alias "GetProfileStringA" (ByVal lpAppName As String, ByVal lpKeyName As String, ByVal lpDefault As String, ByVal lpReturnedString As String, ByVal nSize As Long) As Long

Public gstrDecimal As String
Function ToUpper(intC As Integer) As Integer

If intC >= Asc("a") And intC <= Asc("z") Then ToUpper = intC + Asc("A") - Asc("a") Else ToUpper = intC

End Function

Public Function GetIniString(strFname As String, section As String, KeyName As String, KeyDefault As String)
Dim lngX As Long
Dim strTmp As String

strTmp = Space$(500)

lngX = GetPrivateProfileString(section, KeyName, KeyDefault, strTmp, Len(strTmp), strFname)
GetIniString = Left(strTmp, lngX)

End Function

Function GetIniStringWriteDefault(gstrIniName As String, strSection As String, strParam As String, strDefault As String) As String
Dim strA As String
Dim intRet As Integer

strA = GetIniString(gstrIniName, strSection, strParam, "$!*%")

If strA = "$!*%" Then
    strA = strDefault
    If Left$(strA, 1) = " " Or Right$(strA, 1) = " " Then strA = """" & strA & """"
    intRet = WritePrivProfString(gstrIniName, strSection, strParam, strA)
    strA = strDefault
End If

GetIniStringWriteDefault = strA

End Function

Public Sub SelectAll()
Dim ctrlT As Control

Set ctrlT = Screen.ActiveControl
ctrlT.SelStart = 0
ctrlT.SelLength = &H7FFF

End Sub

Function WritePrivProfString(strFname As String, section As String, key_name As String, v As Variant)
Dim a As String
Dim lngRet As Long

a = v

lngRet = WritePrivateProfileString(section, ByVal key_name, ByVal a, strFname)
WritePrivProfString = lngRet

End Function

